Bug 120664 - don't create shared dir in client code
Summary: don't create shared dir in client code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-12 19:33 UTC by Colin Walters
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 15:56:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
move mkdir into daemon code (2.34 KB, patch)
2004-04-12 19:35 UTC, Colin Walters
no flags Details | Diff
move mkdir into daemon code (v2) (2.61 KB, patch)
2004-04-16 15:49 UTC, Colin Walters
no flags Details | Diff

Description Colin Walters 2004-04-12 19:33:47 UTC
Description of problem:

Hi, gconf currently calls mkdir on /tmp/gconf-$USER if it doesn't
exist inside the client code.  This messed up my SELinux policy which
has a special context on that directory.  The attached patch changes
it so that only the daemon code creates the directory.

Comment 1 Colin Walters 2004-04-12 19:35:56 UTC
Created attachment 99343 [details]
move mkdir into daemon code

Comment 2 Colin Walters 2004-04-16 15:49:11 UTC
Created attachment 99483 [details]
move mkdir into daemon code (v2)

Comment 3 Colin Walters 2004-04-20 15:56:00 UTC
These are applied now.


Note You need to log in before you can comment on or make changes to this bug.